@charset "UTF-8";

html {
  font-size: 100%;
}
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
:root {
  --main-color: #444d55;
  --sub-color: #727476;
  --accent-color-yellow: #f0ee1f;
  --accent-color-green: #9fcf6d;
  --accent-color-blue: #0f6296;
  --bace-color-gray: #e9edef;
  --bace-color-darkgray: #d3d8dd;
  --gray: #c7ced6;
  --white: #fff;
}
body {
  min-height: 100svh;
  display: flex;
  flex-direction: column;
  font-family: "Noto Sans JP", sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.85;
  letter-spacing: 0.1em;
  color: var(--main-color);
  background-color: var(--white);
  overflow-x: hidden;
  -webkit-text-size-adjust: 100%;
  font-feature-settings: "palt";
}
#wrap {
  max-width: 1400px;
  margin: 0 auto;
}
main {
  flex: 1 1 auto;
  background-color: var(--white);
}
header,
nav,
footer {
  flex: 0 0 auto;
}
img {
  width: 100%;
  height: auto;
  vertical-align: bottom;
  -webkit-backface-visibility: hidden;
}
ul,
ol {
  list-style: none;
}
a {
  text-decoration: none;
  color: inherit;
  transition: 0.2s all ease;
}
table {
  border-collapse: collapse;
  table-layout: fixed;
  width: 100%;
}
input,
select,
textarea,
button {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  -o-appearance: none;
  -ms-appearance: none;
  background-color: transparent;
  border: none;
  border-radius: 0;
  font-family: inherit;
  color: inherit;
}
.inner {
  padding: 0 50px;
}
.outer {
  padding-top: 0;
  padding-bottom: 240px !important;
}
.subPageOuter {
  padding-top: 120px;
  padding-bottom: 120px;
}
.textCenter {
  text-align: center;
}
.textBlue {
  color: var(--accent-color-blue);
}
.textYellow {
  color: var(--accent-color-yellow);
}
.textGreen {
  color: var(--accent-color-green);
}
.textMainColor {
  color: var(--main-color);
}
.bgBlue {
  background-color: var(--accent-color-blue);
}
.bgYellow {
  background-color: var(--accent-color-yellow);
}
.bgGreen {
  background-color: var(--accent-color-green);
}
.bgMainColor {
  background-color: var(--main-color);
}
.en,
.siteTitle {
  font-family: "Nunito", sans-serif;
  font-weight: 900;
  letter-spacing: 0.1em;
  transform: scaleY(1.05);
}
.siteTitle {
  letter-spacing: 0.2em;
  padding-left: 50px;
  font-size: 1.65rem;
  color: var(--accent-color-blue);
}
.siteTitle:hover {
  color: var(--sub-color);
}
.seoText {
  position: absolute;
  width: 1px;
  height: 1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
}
.sectionTitle {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 60px;
}
.titleEn {
  font-size: 3rem;
  line-height: 1.35;
  color: var(--accent-color-blue);
}
.titleJp {
  font-size: 1rem;
  font-weight: 700;
}
.compButton {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 240px;
  height: 45px;
  margin: 0 auto;
  color: var(--main-color);
  background-color: var(--accent-color-yellow);
  border-radius: 9999px;
  overflow: hidden;
  line-height: 1;
}
.compButton::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: var(--accent-color-green);
  transition: 0.2s all ease;
}
.compButton::after {
  content: "navigate_next";
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  display: inline-block;
  vertical-align: middle;
  font-family: "Material Symbols Outlined";
  font-size: 1.2rem;
}
.compButton:hover::before {
  width: 100%;
}
.compButton span {
  z-index: 1;
}
.scrollProgress {
  position: fixed;
  top: 0;
  left: 0;
  width: 0;
  height: 4px;
  background: var(--accent-color-green);
  z-index: 9994;
}
.pageTop {
  position: fixed;
  bottom: 0;
  right: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 65px;
  height: 50px;
  background-color: var(--accent-color-blue);
  border-radius: 20px 0 0 0;
  cursor: pointer;
  z-index: 9994;
  transform: translateX(100%);
  transition: 0.2s all ease;
}
.pageTop.is-show {
  transform: translateX(0);
}
.pageTop span {
  color: var(--white);
  font-size: 0.8rem;
  transform: translateY(3px);
}
.pageTop:hover {
  background-color: var(--sub-color);
}
.toast {
  display: none;
  position: fixed;
  top: 100px;
  left: 0;
  width: 100%;
  padding: 15px 0;
  background-color: rgba(255, 255, 255, 0.8);
  font-weight: 500;
  text-align: center;
  z-index: 9993;
}
.toast.error {
  color: #c27a7a;
}

@media only screen and (min-width: 1025px) {
  .pc-none {
    display: none;
  }
}

@media only screen and (max-width: 1024px) {
  body {
    font-size: 0.9rem;
  }
  .sp-none {
    display: none;
  }
}

@media only screen and (max-width: 768px) {
  body {
    font-size: 0.8rem;
  }
  .inner {
    padding: 0 30px;
  }
  .outer {
    padding-bottom: 150px !important;
  }
  .subPageOuter {
    padding-top: 80px;
    padding-bottom: 80px;
  }
  .siteTitle {
    padding-left: 30px;
    font-size: 1.3rem;
  }
  .sectionTitle {
    margin-bottom: 45px;
  }
  .titleEn {
    line-height: 1.1;
    font-size: 2.4rem;
  }
  .titleJp {
    font-size: 0.8rem;
  }
  .compButton {
    width: 210px;
    height: 42px;
  }
}

@media only screen and (max-width: 540px) {
  .toast {
    top: 80px;
  }
}

@media only screen and (max-width: 430px) {
  .siteTitle {
    padding-left: 20px;
  }
}

/* +++++++++ header +++++++++ */
#header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--white);
  z-index: 9993;
}
#header nav {
  display: block;
}
#header nav ul {
  display: flex;
  gap: 40px;
}
#header nav ul li:hover {
  color: var(--accent-color-green);
}
#header nav a.is-current {
  color: var(--accent-color-green);
}
.mailButton a {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 80px;
  height: 70px;
  color: var(--accent-color-blue);
}
.mailButton a::before {
  content: "";
  position: absolute;
  top: 50%;
  left: -5px;
  width: 5px;
  height: 75%;
  transform: translateY(-50%);
  background-color: var(--accent-color-yellow);
  border-radius: 2.5px;
}
.mailButton a span {
  opacity: 1;
  visibility: visible;
}
.mailButton a:hover {
  color: var(--sub-color);
}

@media only screen and (max-width: 1400px) {
  #header nav {
    display: none;
  }
  .mailButton a span {
    opacity: 0;
    visibility: hidden;
  }
}

@media only screen and (max-width: 540px) {
  #header {
    height: 80px;
  }
  .mailButton a {
    width: 70px;
  }
}

/* +++++++++ hamburgermenu +++++++++ */
#spNav {
  display: none;
}
#menuButton {
  display: none;
}

@media only screen and (max-width: 1400px) {
  #menuButton {
    display: block;
    position: fixed;
    top: 0;
    right: 0;
    width: 80px;
    height: 100px;
    cursor: pointer;
    z-index: 9996;
  }
  #menuButton span,
  #menuButton span::before,
  #menuButton span::after {
    content: "";
    position: absolute;
    left: 50%;
    width: 28px;
    height: 4px;
    background-color: var(--accent-color-blue);
    border-radius: 9999px;
    transition: 0.2s all linear;
  }
  #menuButton span {
    top: 50%;
    transform: translate(-50%, -50%);
  }
  #menuButton span::before {
    top: -10px;
    left: 0;
  }
  #menuButton span::after {
    top: 10px;
    left: 0;
  }
  #menuButton:hover span,
  #menuButton:hover span::before,
  #menuButton:hover span::after {
    background-color: var(--sub-color);
  }
  #menuButton.active span {
    background-color: transparent;
  }
  #menuButton.active span::before {
    top: 0;
    transform: rotate(45deg);
    background-color: var(--white);
  }
  #menuButton.active span::after {
    top: 0;
    transform: rotate(-45deg);
    background-color: var(--white);
  }
  #menuButton.active:hover span::before,
  #menuButton.active:hover span::after {
    background-color: var(--accent-color-green);
  }
  #spNav {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100dvh;
    transform: translateY(100%);
    z-index: 9995;
    pointer-events: none;
    transition: 0.3s all linear;
  }
  #spNav.opened {
    transform: translateY(0);
    pointer-events: auto;
  }
  #spNav nav {
    position: relative;
    width: 100%;
    height: 100dvh;
    background-color: var(--main-color);
  }
  #spNav nav ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 30px;
    width: 100%;
    height: 100dvh;
  }
  #spNav nav li {
    font-size: 1.1rem;
    color: var(--white);
  }
  #spNav nav li:hover {
    color: var(--accent-color-green);
  }
}

@media only screen and (max-width: 540px) {
  #menuButton {
    width: 70px;
    height: 80px;
  }
}

/* +++++++++ keyVisual +++++++++ */
#keyVisual {
  margin-top: 110px;
  margin-bottom: 40px;
}
.keyVisualMainPic {
  position: relative;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 350px;
}
.keyVisualMainPic::before,
.keyVisualMainPic::after {
  content: "";
  position: absolute;
  top: 0;
  height: 100%;
  opacity: 0.3;
}
.keyVisualMainPic::before {
  left: 0;
  width: 75%;
  max-width: 1850px;
  background-image: url(../images/keyvisual_pic01.svg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.keyVisualMainPic::after {
  right: 0;
  width: 25%;
  max-width: 450px;
  background-image: url(../images/keyvisual_pic02.svg);
  background-repeat: no-repeat;
  background-size: 70% auto;
  background-position: top right;
}
.pageTitle {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
  padding-top: 15px;
}
.pageTitle .titleEn {
  color: inherit;
  -webkit-text-stroke: 5px var(--white);
  text-stroke: 5px var(--white);
  paint-order: stroke;
}

@media only screen and (max-width: 768px) {
  .keyVisualMainPic {
    height: 230px;
  }
}

@media only screen and (max-width: 540px) {
  #keyVisual {
    margin-top: 90px;
    margin-bottom: 30px;
  }
}

@media only screen and (max-width: 430px) {
  .keyVisualMainPic::before {
    width: 100%;
  }
  .keyVisualMainPic::after {
    content: none;
  }
}

/* +++++++++ breadCrumbs +++++++++ */
.breadCrumbs ul {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 50px;
}
.breadCrumbs ul li {
  position: relative;
  font-size: 0.8rem;
}
.breadCrumbs li:not(:last-child)::after {
  content: "/";
  position: absolute;
  top: 50%;
  right: -25px;
  transform: translateY(-50%);
  font-weight: 500;
}
.breadCrumbs li:not(:has(a)) {
  font-weight: 500;
}
.breadCrumbs a:hover {
  color: var(--accent-color-green);
}

@media only screen and (max-width: 768px) {
  .breadCrumbs ul {
    gap: 40px;
  }
  .breadCrumbs ul li {
    font-size: 0.7rem;
  }
  .breadCrumbs li:not(:last-child)::after {
    right: -20px;
  }
}

/* +++++++++ opening +++++++++ */
#opening {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100dvh;
  pointer-events: none;
  z-index: 9999;
}
#opening.is-hide {
  display: none;
}
#opening div {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100dvh;
  background-color: var(--white);
  transform: translateY(0);
}
#opening.is-start div {
  animation: openingSlideOut 0.75s cubic-bezier(0.4, 1, 0.6, 1) forwards;
  animation-delay: 2.55s;
}
@keyframes openingSlideOut {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-100%);
  }
}
#opening div::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100dvh;
  background-color: var(--main-color);
  transform: translateY(100%);
}
#opening.is-start div::before {
  animation: openingSlideUp 0.75s cubic-bezier(0.4, 1, 0.6, 1) forwards;
  animation-delay: 1.8s;
}
@keyframes openingSlideUp {
  0% {
    transform: translateY(100%);
  }
  100% {
    transform: translateY(0);
  }
}
#opening div > span {
  position: relative;
  display: inline-block;
}
#opening div > span::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 90%;
  background-color: var(--main-color);
  border-radius: 9999px;
}
#opening.is-start div > span::before {
  animation: openingLine 1s ease-out forwards;
}
@keyframes openingLine {
  0% {
    left: 0;
    width: 0;
  }
  50% {
    left: 0;
    width: 100%;
  }
  100% {
    left: 100%;
    width: 0;
  }
}
#opening div > span > span {
  display: inline-block;
  font-size: 2rem;
  color: var(--main-color);
  opacity: 0;
}
#opening.is-start div > span > span {
  animation: openingText 1s ease forwards;
  animation-delay: 0.7s;
}
@keyframes openingText {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
#opening .en {
  letter-spacing: 0.2em;
}

@media only screen and (min-width: 1600px) {
  #opening div > span > span {
    font-size: 2.4rem;
  }
}

@media only screen and (max-width: 768px) {
  #opening div > span > span {
    font-size: 1.8rem;
  }
}

@media only screen and (max-width: 540px) {
  #opening div > span > span {
    font-size: 1.6rem;
  }
}

@media only screen and (max-width: 375px) {
  #opening div > span > span {
    font-size: 1.4rem;
  }
}

/* +++++++++ footer +++++++++ */
footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-top: 50px !important;
  padding-bottom: 35px !important;
  color: var(--white);
  background-color: var(--main-color);
}
footer p {
  letter-spacing: 0.2em !important;
  font-size: 2.5rem;
  line-height: 1.5;
}
footer span {
  font-size: 0.8rem;
  font-weight: 700;
}
footer a {
  margin-top: 35px;
  font-size: 0.6rem;
  text-decoration: underline;
  font-weight: 700 !important;
}
footer a:hover {
  color: var(--accent-color-yellow);
}

@media only screen and (max-width: 768px) {
  footer {
    padding-top: 40px !important;
    padding-bottom: 25px !important;
  }
  footer p {
    font-size: 2rem;
  }
  footer span {
    font-size: 0.7rem;
  }
  footer a {
    font-size: 0.5rem;
  }
}
